hmmpress(1)

NAME
hmmpress - prepare an HMM database for hmmscan

SYNOPSIS
hmmpress [options] <hmmfile>

DESCRIPTION

Starting from a profile database <hmmfile> in standard HMMER3 format, construct binary compressed datafiles for hmmscan. The hmmpress step is required for hmmscan to work.

Four files are created: <hmmfile>.h3m, <hmmfile>.h3i, <hmmfile>.h3f, and <hmmfile>.h3p. The <hmmfile>.h3m file contains the profile HMMs and their annotation in a binary format. The <hmmfile>.h3i file is an SSI index for the <hmmfile>.h3m file. The <hmmfile>.h3f file contains precomputed data structures for the fast heuristic filter (the MSV filter). The <hmmfile>.h3p file contains precomputed data structures for the rest of each profile.

<hmmfile> may not be '-' (dash); running hmmpress on a standard input stream rather than a file is not allowed.

OPTIONS

-h  Help; print a brief reminder of command line usage and all available options.

-f  Force; overwrites any previous hmmpress'ed datafiles. The default is to bitch about any existing files and ask you to delete them first.

SEE ALSO
See hmmer(1) for a master man page with a list of all the individual man pages for programs in the HMMER package.

For complete documentation, see the user guide that came with your HMMER distribution (Userguide.pdf); or see the HMMER web page ().

COPYRIGHT
Copyright (C) 2015 Howard Hughes Medical Institute.
Freely distributed under the GNU General Public License (GPLv3).
For additional information on copyright and licensing, see the file called COPYRIGHT in your HMMER source distribution, or see the HMMER web page ().

AUTHOR
Eddy/Rivas Laboratory
Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147 USA
http://eddylab.org